classification
Title: help('nonlocal') missing
Type: Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, cben, docs@python, eric.araujo, ezio.melotti, georg.brandl
Priority: normal Keywords: patch

Created on 2010-08-31 14:21 by cben, last changed 2011-04-28 05:38 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
nonlocal.diff cben, 2010-11-20 19:40 make help('nonlocal') work, cross-link with global
Messages (6)
msg115266 - (view) Author: Cherniavsky Beni (cben) * Date: 2010-08-31 14:21
>>> help('nonlocal')
no Python documentation found for 'nonlocal'

As a language keyword, it clearly should have documentation.
msg115267 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-08-31 14:31
r84376.
msg121737 - (view) Author: Cherniavsky Beni (cben) * Date: 2010-11-20 19:40
Reopening because help('nonlocal') still doesn't work; attached patch fixes that.  It also cross-links all of global/nonlocal/NAMESPACES.
msg121744 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-11-20 19:54
Applied in r86608. Thanks!
msg127061 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-01-25 22:18
Was this left out of 3.1 and 2.7 on purpose?
msg134647 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-28 05:38
I backported it to 3.1 as part of 99d5542399a1.
History
Date User Action Args
2011-04-28 05:38:31ezio.melottisetnosy: + ezio.melotti

messages: + msg134647
stage: resolved
2011-01-25 22:18:20eric.araujosetnosy: + eric.araujo
messages: + msg127061
2010-11-20 19:54:47georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg121744

resolution: fixed
2010-11-20 19:40:49cbensetstatus: closed -> open
files: + nonlocal.diff
messages: + msg121737

keywords: + patch
resolution: fixed -> (no value)
2010-08-31 14:31:14benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg115267

resolution: fixed
2010-08-31 14:21:45cbencreate